<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Changelog • ecocommons</title><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.1.3/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.1.3/bootstrap.bundle.min.js"></script><!-- Font Awesome icons --><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/all.min.css" integrity="sha256-mmgLkCYLUQbXn0B1SRqzHar6dCnv9oZFPEC1g1cwlkk=" crossorigin="anonymous"><link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.1/css/v4-shims.min.css" integrity="sha256-wZjR52fzng1pJHwx4aV2AO3yyTOXrcDW7jBpJtTwVxw=" crossorigin="anonymous"><!-- bootstrap-toc --><script src="https://cdn.rawgit.com/afeld/bootstrap-toc/v1.0.1/dist/bootstrap-toc.min.js"></script><!-- headroom.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/headroom.min.js" integrity="sha256-AsUX4SJE1+yuDu5+mAVzJbuYNPHj/WroHuZ8Ir/CkE0=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.11.0/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script><!-- clipboard.js --><script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.6/clipboard.min.js" integrity="sha256-inc5kl9MA1hkeYUt+EC3BhlIgyp/2jDIyBLS6k3UxPI=" crossorigin="anonymous"></script><!-- search --><script src="https://cdnjs.cloudflare.com/ajax/libs/fuse.js/6.4.6/fuse.js" integrity="sha512-zv6Ywkjyktsohkbp9bb45V6tEMoWhzFzXis+LrMehmJZZSys19Yxf1dopHx7WzIKxr5tK2dVcYmaCk2uqdjF4A==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/autocomplete.js/0.38.0/autocomplete.jquery.min.js" integrity="sha512-GU9ayf+66Xx2TmpxqJpliWbT5PiGYxpaG8rfnBEk1LL8l1KGkRShhngwdXK1UgqhAzWpZHSiYPc09/NwDQIGyg==" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mark.js/8.11.1/mark.min.js" integrity="sha512-5CYOlHXGh6QpOFA/TeTylKLWfB3ftPsde7AnmhuitiTX4K5SqCLBeKro6sPS8ilsz1Q4NRx3v8Ko2IBiszzdww==" crossorigin="anonymous"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Changelog"><!-- mathjax --><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script><!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]--></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>
    

    <nav class="navbar fixed-top navbar-light navbar-expand-lg bg-light"><div class="container">
    
    <a class="navbar-brand me-2" href="../index.html">ecocommons</a>

    <small class="nav-text text-muted me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="">1.2.3</small>

    
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item">
  <a class="nav-link" href="../articles/ecocommons.html">Get started</a>
</li>
<li class="nav-item">
  <a class="nav-link" href="../reference/index.html">Reference</a>
</li>
<li class="active nav-item">
  <a class="nav-link" href="../news/index.html">Changelog</a>
</li>
      </ul><form class="form-inline my-2 my-lg-0" role="search">
        <input type="search" class="form-control me-sm-2" aria-label="Toggle navigation" name="search-input" data-search-index="../search.json" id="search-input" placeholder="Search for" autocomplete="off"></form>

      <ul class="navbar-nav"><li class="nav-item">
  <a class="external-link nav-link" href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/" aria-label="gitlab">
    <span class="fab fa fab fa-gitlab fa-lg"></span>
     
  </a>
</li>
      </ul></div>

    
  </div>
</nav><div class="container template-news">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">
      <img src="" class="logo" alt=""><h1>Changelog</h1>
      <small>Source: <a href="https://gitlab.com/ecocommons-australia/ecocommons-platform/ecocommons/blob/HEAD/NEWS.md" class="external-link"><code>NEWS.md</code></a></small>
    </div>

    <div class="section level2">
<h2 class="pkg-version" data-toc-text="1.2.3" id="ecocommons-123">ecocommons 1.2.3<a class="anchor" aria-label="anchor" href="#ecocommons-123"></a></h2>
<div class="section level3">
<h3 id="tiling-and-parallel-workflows-1-2-3">Tiling and parallel workflows<a class="anchor" aria-label="anchor" href="#tiling-and-parallel-workflows-1-2-3"></a></h3>
<ul><li>Adds a new function <code>par_pred()</code> to tile and predict in parallel
<ul><li>Called within <code><a href="../reference/project_model_current_unconstrained.html">project_model_current_unconstrained()</a></code>, if the number of cells in the raster is greater than 250000000 (250 million)</li>
<li>Limited to large raster layers only for further testing and monitoring in the testing and production environments of the platform</li>
<li>This is a potential fix for failures during platform pipelines when processing / predicting large raster layers, such as the global datasets (Worldclim, Chelsa)</li>
</ul></li>
</ul></div>
<div class="section level3">
<h3 id="minor-improvements-and-bug-fixes-1-2-3">Minor improvements and bug fixes<a class="anchor" aria-label="anchor" href="#minor-improvements-and-bug-fixes-1-2-3"></a></h3>
<ul><li>Adds a <code>pkgdown</code> documentation website at <a href="https://ecocommons-australia.gitlab.io/ecocommons-platform/ecocommons/" class="uri">https://ecocommons-australia.gitlab.io/ecocommons-platform/ecocommons/</a>
</li>
<li>First Vignette (title: <code>ecocommons</code>) added to the package</li>
<li>Add example data to <code>inst/</code> folder, using in <code>ecocommons</code> Vignette</li>
<li>Updates to <code><a href="../reference/EC_check_computed.html">EC_check_computed()</a></code> with new error message to inform a user when all models fail, and the chosen data split percentage was 100%
<ul><li>
<code><a href="../reference/EC_modelling_ann.html">EC_modelling_ann()</a></code> is particularly prone to this error, where using a 100% split can fail but models built using 80% for example would have worked.</li>
</ul></li>
<li>Fix bug in <code><a href="../reference/EC_projecting_cc.html">EC_projecting_cc()</a></code>
</li>
<li>Fix bug in <code><a href="../reference/EC_projecting_cc.html">EC_projecting_cc()</a></code> with <code>SRE</code> not working because of predictors in different order to original model</li>
<li>Enable clamping mask for <code>biomod</code> / dist model future projection fixing bug where prediction would previously be NaN in some cases</li>
<li>Adding developer functions in <code>zzz.R</code> for debugging platform jobs quickly
<ul><li>Although not expected to be used by users, these functions have potential future utility as a way to quickly set up and run experiments locally, as well as archive them.</li>
</ul></li>
</ul></div>
<div class="section level3">
<h3 id="local-use-improvements-1-2-3">Local use improvements<a class="anchor" aria-label="anchor" href="#local-use-improvements-1-2-3"></a></h3>
<ul><li>Adding more user friendly functions for local use, e.g. <code>EC_reset_env()</code>, <code>EC_get_data()</code>, <code>EC_build_data()</code>, <code>EC_explore_built_data()</code>. These functions are showcased in the <code>ecocommons</code> Vignette.</li>
</ul></div>
</div>
    <div class="section level2">
<h2 class="pkg-version" data-toc-text="1.2.2" id="ecocommons-122-2023-03-28">ecocommons 1.2.2 (2023-03-28)<a class="anchor" aria-label="anchor" href="#ecocommons-122-2023-03-28"></a></h2>
<div class="section level3">
<h3 id="major-changes-1-2-2">Major changes<a class="anchor" aria-label="anchor" href="#major-changes-1-2-2"></a></h3>
<ul><li>
<code><a href="../reference/EC_modelling_maxent.html">EC_modelling_maxent()</a></code> overhaul in progress:
<ul><li>Will now handle and evaluate replicates when repeats or cross-folds &gt; 1</li>
<li>Now uses maximum sensitivity and specificity threshold (cloglog) by default to generate binary map (habitat suitability)</li>
<li>Predictions with replicates will output GeoTIFFs containing one layer per model, and a mean layer (pending pipeline changes TBD)</li>
<li>Removed output of MaxEnt model objects for cloglog and logistic as these were identical to the raw object - transformation occurs for prediction</li>
<li>Future improvements pending imrpvoed front end inputs to support more complicated workflows and user chocie for which models and thresholds to use for evaluations, or how results for multiple predictions should be summarised and reported</li>
</ul></li>
</ul></div>
<div class="section level3">
<h3 id="minor-improvements-and-bug-fixes-1-2-2">Minor improvements and bug fixes<a class="anchor" aria-label="anchor" href="#minor-improvements-and-bug-fixes-1-2-2"></a></h3>
<ul><li>Data split improving handling for <code>EC_modelling_*()</code> family
<ul><li>Improving and adding handling for models when using data split and repeats
<ul><li>For now this applies only to <code>biomod2</code> models, and is a work in progress</li>
<li>Model evaluation tables saved in <code>eval_tables</code> (e.g. Loss-function, Evluation-statistics, etc.) will now show values for each individual model that was generated, instead of just evaluating the “full run” model</li>
<li>Two new plots in <code>eval</code> including a mean and standard deviation plot and a boxplot of the evaluation statistics for comparison of all models that were generated</li>
</ul></li>
</ul></li>
<li>Enable <code>EC_modelling_CTA()</code> to run with categorical predictors</li>
<li>Added <code><a href="https://rdrr.io/r/base/conditions.html" class="external-link">tryCatch()</a></code> for unconstrained projections</li>
<li>Fix bug in <code><a href="../reference/EC_modelling_bioclim.html">EC_modelling_bioclim()</a></code> causing projection to fail</li>
<li>Fix bug <code><a href="../reference/EC_projecting_ensemble.html">EC_projecting_ensemble()</a></code>
</li>
<li>
<code>EC_save_projection_generic()</code> rolled out for most model workflows now, replacing base R raster plots with <code>ggplot</code> versions.</li>
</ul></div>
<div class="section level3">
<h3 id="id_121---1-2-2">1.2.1 - 2023-03-20<a class="anchor" aria-label="anchor" href="#id_121---1-2-2"></a></h3>
</div>
<div class="section level3">
<h3 id="minor-improvements-and-bug-fixes-1-2-2-1">Minor improvements and bug fixes<a class="anchor" aria-label="anchor" href="#minor-improvements-and-bug-fixes-1-2-2-1"></a></h3>
<ul><li>Fix bug in <code><a href="../reference/EC_raster_resampled.html">EC_raster_resampled()</a></code> during dummy raster creation affecting re-sampling process</li>
<li>Fix bug in <code><a href="../reference/EC_SDM_geoconstrained.html">EC_SDM_geoconstrained()</a></code> which was causing NaNs in values over 255 due to <code>terra</code> assuming 8 bit integer format for small files</li>
<li>Add <code>EC_save_projection_generic()</code> which will replace <code><a href="../reference/EC_save_projection.html">EC_save_projection()</a></code> and can be used to plot predictions with <code>ggplot2</code> and <code>tidyterra</code> for both <code>SpatRaster</code> and <code>RasterLayer</code> formatted predictions.
<ul><li>Rolling out starting with <code><a href="../reference/EC_modelling_bioclim.html">EC_modelling_bioclim()</a></code>.</li>
</ul></li>
</ul></div>
</div>
  </main><aside class="col-md-3"><nav id="toc"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p></p><p>Developed by EcoCommons Platform.</p>
</div>

<div class="pkgdown-footer-right">
  <p></p><p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.0.6.</p>
</div>

    </footer></div>

  

  

  </body></html>

